<?php

declare(strict_types=1);

namespace Silex\Controller;

use Silex\DI\DI;
use Silex\Http\HttpResponse;

class UserController
{
    public function index(DI $di): HttpResponse
    {
        $news = $di->getNewsGateway()->getPaginatedRecentNews();
        return new HttpResponse(200, 'home', ['news' => $news]);
    }

    public function viewPost(DI $di, array $params): HttpResponse
    {
        $newsId = intval($params['id']);
        $news = $di->getNewsGateway()->getById($newsId);
        return new HttpResponse(200, 'home', ['news' => $news]);
    }
}
