<?php

declare(strict_types=1);

namespace Silex\Model;

class User
{
    private int $id_user;
    private string $login;
    private string $password;
    private int $role;

    public static function fromRawPassword(string $login, string $password): User
    {
        $user = new User();
        $user->login = $login;
        $user->password = password_hash($password, PASSWORD_DEFAULT);
        return $user;
    }

    public function getId(): int
    {
        return $this->id_user;
    }

    public function getLogin(): string
    {
        return $this->login;
    }

    public function getPasswordHash(): string
    {
        return $this->password;
    }

    public function getRole(): int
    {
        return $this->role;
    }
}
